အကြောင်းအရာသို့ ကျော်ရန်

Elevenlabs

ပေါင်းစည်းရန်

မော်ဒယ် id elevenlabs/text-to-dialogue/eleven-v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/text-to-dialogue/eleven-v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "text": "[applause] Thank you all for coming tonight! Today we have a very special guest with us.",
        "voice": "Aria"
      },
      {
        "text": "[gulps] ... [strong canadian accent] [excited] Hello everyone! Thank you all for having me tonight on this special day.",
        "voice": "Charlotte"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၁၀ $ ၁၀၀ API ခရက်ဒစ် · ≈ ၁၀.၇၅ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
ElevenLabs စာသားမှ အသံ #audio

စာသားနှင့် voice ID အတွဲများစာရင်းကို စကားပြောသူအများအပြားပါဝင်သော စကားဝိုင်းအသံလမ်းကြောင်းအဖြစ် ပြောင်းလဲသည်

ElevenLabs · အသံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

စကားပြောသံအဖြစ် ဖန်တီးရမည့် ဒိုင်ယာလော့ခ်အချက်များ။ တစ်ခုချင်းစီတွင် စာသားနှင့် voice ID ပါဝင်သည်။

အဆင့်မြင့် language_code · stability · seed · use_speaker_boost · pronunciation_dictionary_locators

လိုအပ်သော မော်ဒယ်ဘာသာစကားကို ISO 639-1 ကုဒ်ဖြင့် သတ်မှတ်ပါ။ မော်ဒယ်က ထိုကုဒ်ကို မပံ့ပိုးပါက တောင်းဆိုချက် မအောင်မြင်ပါ။

ဖန်တီးမှုများအကြား အသံတည်ငြိမ်မှုနှင့် ကွဲပြားမှု။ 0.0၊ 0.5 သို့မဟုတ် 1.0 သာ သတ်မှတ်နိုင်ပြီး ဤအစုအပြင်ဘက် တန်ဖိုးများကို အနီးဆုံးလက်ခံနိုင်သော တန်ဖိုးသို့ ပတ်လည်ချိန်ညှိသည်။ တန်ဖိုးမြင့်ပါက ခံစားချက်ကို ကန့်သတ်ပြီး တစ်သံတည်းဖြစ်စေနိုင်သည်။ တန်ဖိုးနိမ့်ပါက အသံ၏ ခံစားချက်အပိုင်းအခြား ပိုကျယ်လာသည်။

တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။

မူလ []

စာသားအပေါ် သက်ရောက်စေလိုသည့် အစီအစဉ်အတိုင်း အသံထွက်အဘိဓာန် locator 3 ခုအထိ ပေးပါ။ locator တစ်ခုချင်းစီသည် အဘိဓာန်တစ်ခုကို id နှင့် version_id ဖြင့် သတ်မှတ်သည်။

POST /run/elevenlabs/text-to-dialogue/eleven-v3?wait=20 ကုန်ကျစရိတ် → ၀.၁၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/text-to-dialogue/eleven-v3?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "text": "[applause] Thank you all for coming tonight! Today we have a very special guest with us.",
        "voice": "Aria"
      },
      {
        "text": "[gulps] ... [strong canadian accent] [excited] Hello everyone! Thank you all for having me tonight on this special day.",
        "voice": "Charlotte"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Elevenlabs အကြောင်း

လိုအပ်သောစာရင်းဖြစ်သည့် `inputs` မှ ပြောဆိုသည့် ဆွေးနွေးခန်းကို ဖန်တီးသည်။ စာရင်းဝင်တစ်ခုစီတွင် စာသားနှင့် voice ID တွဲဖက်ပါဝင်သည်။ အသံအပြုအမူကို `stability` (0 မှ 1) နှင့် `use_speaker_boost` ဖြင့် ချိန်ညှိနိုင်သည်။ `language_code` ဖြင့် ဘာသာစကားကို သတ်မှတ်ပြီး အသံထွက်အဘိဓာန်တည်နေရာ 3 ခုအထိ အသုံးပြုနိုင်သည်။ ထပ်မံဖန်တီးနိုင်ရန် `seed` ကို လက်ခံပြီး အသံနှင့်အတူ ပြန်ပေးသည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
inputsလိုအပ်သည်
အမျိုးအစားobject[]
စကားပြောသံအဖြစ် ဖန်တီးရမည့် ဒိုင်ယာလော့ခ်အချက်များ။ တစ်ခုချင်းစီတွင် စာသားနှင့် voice ID ပါဝင်သည်။
inputs[].textလိုအပ်သည်
အမျိုးအစားstring
ဒိုင်ယာလော့ခ်ပါဝင်သော စာသား။
inputs[].voiceလိုအပ်သည်
အမျိုးအစားstring
ဖန်တီးမှုအတွက် ရွေးချယ်ထားသော အသံအမည် သို့မဟုတ် ID။
stabilityရွေးချယ်နိုင်သည်
အမျိုးအစားnumber | null
၀ – ၁
ဖန်တီးမှုများအကြား အသံတည်ငြိမ်မှုနှင့် ကွဲပြားမှု။ 0.0၊ 0.5 သို့မဟုတ် 1.0 သာ သတ်မှတ်နိုင်ပြီး ဤအစုအပြင်ဘက် တန်ဖိုးများကို အနီးဆုံးလက်ခံနိုင်သော တန်ဖိုးသို့ ပတ်လည်ချိန်ညှိသည်။ တန်ဖိုးမြင့်ပါက ခံစားချက်ကို ကန့်သတ်ပြီး တစ်သံတည်းဖြစ်စေနိုင်သည်။ တန်ဖိုးနိမ့်ပါက အသံ၏ ခံစားချက်အပိုင်းအခြား ပိုကျယ်လာသည်။
use_speaker_boostရွေးချယ်နိုင်သည်
အမျိုးအစားboolean | null
တွက်ချက်မှုဝန် အနည်းငယ်တိုးလာခြင်းကြောင့် latency ဖြစ်စေသော စကားပြောသူတူညီမှု မြှင့်တင်မှု။ ဖွင့်ထားပါက အသံသည် မူရင်းစကားပြောသူနှင့် ပိုမိုတူညီလာသည်။
pronunciation_dictionary_locatorsရွေးချယ်နိုင်သည်
အမျိုးအစားobject[]
မူလတန်ဖိုး[]
စာသားအပေါ် သက်ရောက်စေလိုသည့် အစီအစဉ်အတိုင်း အသံထွက်အဘိဓာန် locator 3 ခုအထိ ပေးပါ။ locator တစ်ခုချင်းစီသည် အဘိဓာန်တစ်ခုကို id နှင့် version_id ဖြင့် သတ်မှတ်သည်။
pronunciation_dictionary_locators[].pronunciation_dictionary_idရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
အသံထွက်အဘိဓာန်၏ အမှတ်အသား။
pronunciation_dictionary_locators[].version_idရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
ID ဖြင့် သတ်မှတ်ထားသော အသံထွက်အဘိဓာန်ဗားရှင်းကို ရွေးပါ၊ သို့မဟုတ် နောက်ဆုံးဗားရှင်းကို အသုံးပြုရန် မသတ်မှတ်ဘဲထားပါ။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။
language_codeရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
လိုအပ်သော မော်ဒယ်ဘာသာစကားကို ISO 639-1 ကုဒ်ဖြင့် သတ်မှတ်ပါ။ မော်ဒယ်က ထိုကုဒ်ကို မပံ့ပိုးပါက တောင်းဆိုချက် မအောင်မြင်ပါ။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/text-to-dialogue/eleven-v3",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "inputs": [
      {
        "text": "[applause] Thank you all for coming tonight! Today we have a very special guest with us.",
        "voice": "Aria"
      },
      {
        "text": "[gulps] ... [strong canadian accent] [excited] Hello everyone! Thank you all for having me tonight on this special day.",
        "voice": "Charlotte"
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
audio
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထုတ်လုပ်ထားသော အသံဖိုင်။
seed
integerတူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/elevenlabs/text-to-dialogue/eleven-v3.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt